BITMAP_RELEASE_REGIO(9)

NAME
bitmap_release_region - release allocated bitmap region

SYNOPSIS

void bitmap_release_region(unsigned long * bitmap, unsigned int pos, int order);

ARGUMENTS

bitmap
    array of unsigned longs corresponding to the bitmap

pos
    beginning of bit region to release

order
    region size (log base 2 of number of bits) to release

DESCRIPTION

This is the complement to __bitmap_find_free_region and releases the found region (by clearing it in the bitmap).

No return value.

COPYRIGHT